Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 40230
Status: resolved
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: CHORNY [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in:
  • 0.73
  • 0.77
Fixed in: (no value)



Subject: test_requires and include
Download (untitled) / with headers
text/plain 338b
Found when installing PPI. test_requires 'File::Remove' => '0.39'; include 'File::Remove'; I have expected that File::Remove would not be required for install, but it is present in generated 'Makefile'. # PREREQ_PM => { File::Remove=>q[0.39], so it was passed to EU::MM as PREREQ_PM. -- Alexandr Ciornii, http://chorny.net
Subject: Re: [rt.cpan.org #40230] test_requires and include
Date: Wed, 22 Oct 2008 11:32:58 +1100
To: bug-Module-Install [...] rt.cpan.org
From: "Adam Kennedy" <adamkennedybackup [...] gmail.com>
This is correct, I believe. Because it is bundled, and inc is included in the PATH, when MakeMaker receives the PREREQ_PM it will find the File::Remove in inc and everything should be ok. NOTABUG (unless someone shows otherwise) Adam K 2008/10/22 Alexandr Ciornii via RT <bug-Module-Install@rt.cpan.org>: Show quoted text
> Tue Oct 21 12:36:03 2008: Request 40230 was acted upon. > Transaction: Ticket created by CHORNY > Queue: Module-Install > Subject: test_requires and include > Broken in: 0.73, 0.77 > Severity: Normal > Owner: Nobody > Requestors: CHORNY@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=40230 > > > > Found when installing PPI. > test_requires 'File::Remove' => '0.39'; > include 'File::Remove'; > I have expected that File::Remove would not be required for install, but > it is present in generated 'Makefile'. > # PREREQ_PM => { File::Remove=>q[0.39], > so it was passed to EU::MM as PREREQ_PM. > > -- > Alexandr Ciornii, http://chorny.net > >
Download (untitled) / with headers
text/plain 566b
Втр. Окт. 21 20:33:08 2008, adamkennedybackup@gmail.com писал: Show quoted text
> This is correct, I believe. > > Because it is bundled, and inc is included in the PATH, when MakeMaker > receives the PREREQ_PM it will find the File::Remove in inc and > everything should be ok. > > NOTABUG (unless someone shows otherwise)
It is passed to Makefile and then installed by CPAN shell. This makes bundling useless. Also generated ppd file has dependency on them, but it is more a problem of EU::MM, which I hope will be resolved. -- Alexandr Ciornii, http://chorny.net
Subject: Re: [rt.cpan.org #40230] test_requires and include
Date: Thu, 23 Oct 2008 15:59:50 +1100
To: bug-Module-Install [...] rt.cpan.org
From: "Adam Kennedy" <adamkennedybackup [...] gmail.com>
Download (untitled) / with headers
text/plain 830b
Actually, in that case it's possibly my fault... I shall investigate. 2008/10/22 Alexandr Ciornii via RT <bug-Module-Install@rt.cpan.org>: Show quoted text
> Queue: Module-Install > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=40230 > > > Втр. Окт. 21 20:33:08 2008, adamkennedybackup@gmail.com писал: >
>> This is correct, I believe. >> >> Because it is bundled, and inc is included in the PATH, when MakeMaker >> receives the PREREQ_PM it will find the File::Remove in inc and >> everything should be ok. >> >> NOTABUG (unless someone shows otherwise)
> > It is passed to Makefile and then installed by CPAN shell. This makes > bundling useless. > > Also generated ppd file has dependency on them, but it is more a problem > of EU::MM, which I hope will be resolved. > > -- > Alexandr Ciornii, http://chorny.net > >
Download (untitled) / with headers
text/plain 441b
Hi. Added a remedy in the trunk, and will be fixed in the next release. Thanks. On 2008-10-21 Tue 12:36:03, CHORNY wrote: Show quoted text
> Found when installing PPI. > test_requires 'File::Remove' => '0.39'; > include 'File::Remove'; > I have expected that File::Remove would not be required for install,
but Show quoted text
> it is present in generated 'Makefile'. > # PREREQ_PM => { File::Remove=>q[0.39], > so it was passed to EU::MM as PREREQ_PM. >
Hi. Module::Install 0.96/0.97 with a fix is out. Thanks.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.